# Hide a component on the default page variant

Hides a component on the default page variant. Personalization must already exist on the page before you use this endpoint. A default page variant exists only after page variants have been created to personalize a page.

Endpoint: POST /api/v1/personalization/{pageId}/components/{componentId}/hide
Version: v2.0
Security: HTTPBearer

## Security:

  - `HTTPBearer` (unknown)
    http bearer JWT

## Path parameters:

  - `pageId` (string, required)
    The unique identifier of the page that includes the default page variant where the component should be hidden. To get this ID, you can use the [List pages of a site](#operation/sites-get_all_pages_by_site) endpoint to retrieve the list of pages for a specific site.

  - `componentId` (string, required)
    The unique identifier of the component to hide on the default page variant. To get this ID, you can use the [List components of a page](#operation/pages-get_all_components_by_page) endpoint to retrieve the list of components for a specific page.

## Header parameters:

  - `x-sc-job-id` (any)
    A unique identifier for the job, used to trace, audit, and revert actions performed by an AI agent through the Agent API.

## Request fields (application/json):

  - `language` (any)
    Language code for the page
    Example: en

  - `page_version` (any)
    The version of the page to use, or null for the latest version.
    Example: 1

## Response 201:

  - `201` (unknown)
    Successful response

## Response 201 fields (application/json):

  - `pageId` (string)
    The unique identifier of the page where the component was hidden.
    Example: 3f2504e0-4f89-11d3-9a0c-0305e82c3301

  - `componentId` (string)
    The unique identifier of the component that was hidden.
    Example: 86a03271-dff4-470a-92bd-b68c67de2e25

  - `language` (string)
    The language of the page.
    Example: en

## Response 422:

  - `422` (unknown)
    Unprocessable entity

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array)
    The location of the error in the request.

  - `detail.msg` (string)
    The error message.

  - `detail.type` (string)
    The type of error.

  - `detail.input` (any)
    The input that caused the error.

  - `detail.ctx` (object)
    The context in which the error occurred.

